Re: not constantly maintained addon and compatibility issue


Jujube
 

Hi, I sympathize and agree it's a frustration, but I think what you're describing isn't something that can be fixed in a day and it's not something that's going to be perfect. A lot of the incompatibility issues are a result of the Python programming language constantly being updated so NVDA has to keep up with that. If an addon developer stops working on an addon, the only solution is to find another developer willing to work on it and that isn't always an easy task. I know this isn't very helpful news but hopefully this explains why the addons world isn't perfect..


On Wed, Sep 8, 2021 at 10:41 PM William <xsuper.sillyx@...> wrote:
Hello, especially for nvda developers and addon developers,


Thanks to lots of addon that enhanced my productivity.

The current situation is that, some of the addon that I am using is not
supporting the latest nvda 2021.1 and are forced to be blocked by nvda.

To my understanding, some of these addons are not really "having
compatibility issue", it is only not updated the addon file to state
that the addon is supporting the latest nvda, am i right?


Can we have a mechanism to make these addons being maintained, even

if the developer ignored it or forget to update it?


Thanks,

William







Join nvda@nvda.groups.io to automatically receive all group messages.